

enum RoleType {
  SKILLED
  BEGINNER
  CROSS_TRAINED
}

#this is skills of staff
type StaffRole @table(name: "staff_roles", key: ["staffId", "roleId"]) {
  id: UUID! @default(expr: "uuidV4()")

  staffId: UUID!
  staff: Staff! @ref(fields: "staffId", references: "id")

  roleId: UUID!
  role: Role! @ref(fields: "roleId", references: "id")

  roleType: RoleType

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
